# Class MBeanTrustPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.management.MBeanTrustPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public class MBeanTrustPermission extends BasicPermission
This permission represents "trust" in a signer or codebase.

MBeanTrustPermission contains a target name but no actions list. A single target name, "register", is defined for this permission. The target "*" is also allowed, permitting "register" and any future targets that may be defined. Only the null value or the empty string are allowed for the action to allow the policy object to create the permissions specified in the policy file.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MBeanTrustPermission(String name)`
Create a new MBeanTrustPermission with the given name.
`MBeanTrustPermission(String name, String actions)`
Create a new MBeanTrustPermission with the given name.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MBeanTrustPermission

public MBeanTrustPermission(String name)

Create a new MBeanTrustPermission with the given name.

This constructor is equivalent to `MBeanTrustPermission(name,null)`.

Parameters:
  `name` - the name of the permission. It must be "register" or "*" for this permission.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is neither "register" nor "*".

### MBeanTrustPermission

public MBeanTrustPermission(String name, String actions)

Create a new MBeanTrustPermission with the given name.

Parameters:
  `name` - the name of the permission. It must be "register" or "*" for this permission.
  `actions` - the actions for the permission. It must be null or `""`.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is neither "register" nor "*"; or if `actions` is a non-null non-empty string.